From cb513c8b07938c966c8460bacae689497081df21 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@2ndquadrant.com>
Date: Mon, 17 Jun 2024 15:15:30 +0200
Subject: [PATCH v20240617 12/56] review

---
 src/backend/statistics/extended_stats.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/backend/statistics/extended_stats.c b/src/backend/statistics/extended_stats.c
index 98d579578c0..df33d25ebfd 100644
--- a/src/backend/statistics/extended_stats.c
+++ b/src/backend/statistics/extended_stats.c
@@ -2852,6 +2852,11 @@ statext_is_supported_join_clause(PlannerInfo *root, Node *clause)
 	rinfo = (RestrictInfo *) clause;
 	clause = (Node *) rinfo->clause;
 
+	/*
+	 * XXX why not to retain the BMS_MULTIPLE check on clause_relids, seems
+	 * cheap so maybe we could do it before the more expensive stuff?
+	 */
+
 	/* we only support simple operator clauses for now */
 	if (!is_opclause(clause))
 		return false;
-- 
2.45.2

